> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/api/posts-and-reviews/like-a-post-or-reply.md).

# Like a Post or Reply

## Create new like for post or reply

<mark style="color:green;">`POST`</mark> `https://api.whisk.com/v2/reaction`

Method allows to create a like for reply or for post. Like will be added to object.&#x20;

#### Headers

| Name                                            | Type   | Description                                                                            |
| ----------------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | User Access token to authorize the API usage. For more information, see Authentication |

#### Request Body

| Name                                       | Type    | Description                                                   |
| ------------------------------------------ | ------- | ------------------------------------------------------------- |
| like<mark style="color:red;">\*</mark>     | Boolean | Shows whether its like or dislike                             |
| reaction<mark style="color:red;">\*</mark> | Object  | Image object. Contain list of parameters related to reaction. |
| reply                                      | String  | If object is a reply                                          |
| target<mark style="color:red;">\*</mark>   | Object  | An object for like attribute                                  |
| post                                       | String  | If object is a post                                           |

{% tabs %}
{% tab title="200: OK Successful response" %}

```
{}
```

{% endtab %}

{% tab title="401: Unauthorized This failed response appears due to API authentication failure. The possible error codes that may appear are: auth.tokenNotFound, auth.tokenExpired, auth.tokenInvalid, auth.tokenRequired." %}

```json
{
  "code": "auth.tokenNotFound"
}
```

{% endtab %}

{% tab title="500: Internal Server Error This failed response appears when something is not right on Whisk's end. Please send a message to <help@whisk.com>, and be sure to include both the Request and Response data. We’ll get back to you soon." %}

```
This is unexpected response, something is wrong on our side, please contact: help@whisk.com
```

{% endtab %}
{% endtabs %}

### Request body

```json
{
  "target": {
    "reply": "string",
    "post": "string"
  },
  "reaction": {
    "like": true
  }
}
```

### Sample request and response

{% tabs %}
{% tab title="Request" %}

{% endtab %}

{% tab title="Response" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whisk.com/api/posts-and-reviews/like-a-post-or-reply.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
